# pn_cpu_class – CLI command to create/modify/delete cpu-class

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to create, modify and delete CPU class information.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.

pn_hog_protect
string

Choices:
- disable
- enable
- enable-and-drop

enable host-based hog protection.

pn_name string |  | name for the CPU class.
pn_rate_limit string |  | rate-limit for CPU class.

pn_scope
-

Choices:
- local
- fabric

scope for CPU class.

state
string / required

Choices:
- present
- absent
- update

State the action to perform. Use `present` to create cpu-class and `absent` to delete cpu-class `update` to modify the cpu-class.

## Examples

    - name: create cpu class
      pn_cpu_class:
        pn_cliswitch: 'sw01'
        state: 'present'
        pn_name: 'icmp'
        pn_rate_limit: '1000'
        pn_scope: 'local'

    - name: delete cpu class
      pn_cpu_class:
        pn_cliswitch: 'sw01'
        state: 'absent'
        pn_name: 'icmp'

    - name: modify cpu class
      pn_cpu_class:
        pn_cliswitch: 'sw01'
        state: 'update'
        pn_name: 'icmp'
        pn_rate_limit: '2000'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the cpu-class command.
stdout list | always | set of responses from the cpu-class command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.